Package org.mariadb.jdbc.plugin.authentication.addon

# Class ClearPasswordPluginFactory

java.lang.Object
org.mariadb.jdbc.plugin.authentication.addon.ClearPasswordPluginFactory

All Implemented Interfaces:
  `AuthenticationPluginFactory`

public class ClearPasswordPluginFactory extends Object implements AuthenticationPluginFactory
Clear password plugin.

## Constructor Summary

Constructors
Constructor
Description
`ClearPasswordPluginFactory()`

## Method Summary

Modifier and Type
Method
Description
`AuthenticationPlugin`
`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
`boolean`
`requireSsl()`
Authentication plugin required SSL to be used
`String`
`type()`
Authentication plugin type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClearPasswordPluginFactory

public ClearPasswordPluginFactory()

## Method Details

### type

public String type()
Description copied from interface: `AuthenticationPluginFactory`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPluginFactory`
Returns:
  authentication plugin type. ex: mysql_native_password

### requireSsl

public boolean requireSsl()
Description copied from interface: `AuthenticationPluginFactory`
Authentication plugin required SSL to be used

Specified by:
  `requireSsl` in interface `AuthenticationPluginFactory`
Returns:
  true if SSL is required

### initialize

public AuthenticationPlugin initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)
Initialization.

Specified by:
  `initialize` in interface `AuthenticationPluginFactory`
Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `conf` - Connection string options
  `hostAddress` - host information